//----------------------------------------------------------------------------
//Borland C++Builder
//Copyright (c) 1987, 1998 Borland International Inc. All Rights Reserved.
//----------------------------------------------------------------------------
#ifndef ImageWnH
#define ImageWnH
//----------------------------------------------------------------------------
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <FileCtrl.hpp>
#include <StdCtrls.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <Forms.hpp>
#include <Controls.hpp>
#include <Graphics.hpp>
#include <Classes.hpp>
#include <SysUtils.hpp>
#include <Messages.hpp>
#include <Windows.hpp>
#include <System.hpp>
//----------------------------------------------------------------------------
class TImageForm : public TForm
{
__published:
    TDirectoryListBox *DirectoryListBox1;
    TDriveComboBox *DriveComboBox1;
    TFileListBox *FileListBox1;
    TButton *Button2;
    TBitBtn *BitBtn1;
    TSaveDialog *SaveDialog1;
    TPrintDialog *PrintDialog1;
    TSaveDialog *SaveDialog2;
    TEdit *Edit1;
    TLabel *Label1;
    TSaveDialog *SaveDialog3;
    TLabel *Label2;
    TButton *Button3;
    TButton *Button4;
        TButton *Button1;
        TEdit *Edit2;
        TLabel *Label5;
        TLabel *Label6;
        TRadioButton *RadioButton1;
        TRadioButton *RadioButton2;
        TRadioButton *RadioButton3;
        TEdit *Edit3;
        TCheckBox *CheckBox1;
        TCheckBox *CheckBox2;
        TEdit *Edit4;
        TEdit *Edit5;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *Label11;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FileListBox1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
    void __fastcall BitBtn1Click(TObject *Sender);
    void __fastcall Edit1Change(TObject *Sender);
    void __fastcall Button3Click(TObject *Sender);
    void __fastcall Button4Click(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Edit3Change(TObject *Sender);
        void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall CheckBox2Click(TObject *Sender);
        void __fastcall Edit4Change(TObject *Sender);
        void __fastcall Edit5Change(TObject *Sender);

public:
	AnsiString FormCaption;
    AnsiString FileExt;
	void __fastcall ViewAsGlyph(const AnsiString FileExt);
    virtual __fastcall TImageForm(TComponent *Owner);
    void __fastcall ReadFile(char *filename); // own

};
//----------------------------------------------------------------------------
TColor Select(unsigned short int flux);
extern TImageForm *ImageForm;
//----------------------------------------------------------------------------
#endif

